Bug 1900524 - python-pytest-mpi fails to build with Python 3.10: ValueError: Pytest terminal summary report not found
Summary: python-pytest-mpi fails to build with Python 3.10: ValueError: Pytest termina...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pytest-mpi
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10 1901925
TreeView+ depends on / blocked
 
Reported: 2020-11-23 09:42 UTC by Tomáš Hrnčiar
Modified: 2021-02-01 07:02 UTC (History)
3 users (show)

Fixed In Version: python-pytest-mpi-0.4-4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-01 07:02:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2020-11-23 09:42:13 UTC
python-pytest-mpi fails to build with Python 3.10.0a2.

=================================== FAILURES ===================================
______________________________ test_mpi_file_name ______________________________

mpi_testdir = <Testdir local('/tmp/pytest-of-mockbuild/pytest-1/test_mpi_file_name0')>
has_mpi4py = True

    def test_mpi_file_name(mpi_testdir, has_mpi4py):
        mpi_testdir.makepyfile(MPI_FILE_NAME_TEST_CODE)
    
        result = mpi_testdir.runpytest("--with-mpi", timeout=5)
    
        if has_mpi4py:
>           result.assert_outcomes(passed=1)

/builddir/build/BUILD/pytest-mpi-0.4/tests/test_fixtures.py:57: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
/usr/lib/python3.10/site-packages/_pytest/pytester.py:461: in parseoutcomes
    return self.parse_summary_nouns(self.outlines)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

cls = <class '_pytest.pytester.RunResult'>, lines = []

    @classmethod
    def parse_summary_nouns(cls, lines) -> Dict[str, int]:
        """Extracts the nouns from a pytest terminal summary line.
    
        It always returns the plural noun for consistency::
    
            ======= 1 failed, 1 passed, 1 warning, 1 error in 0.13s ====
    
        Will return ``{"failed": 1, "passed": 1, "warnings": 1, "errors": 1}``
        """
        for line in reversed(lines):
            if rex_session_duration.search(line):
                outcomes = rex_outcome.findall(line)
                ret = {noun: int(count) for (count, noun) in outcomes}
                break
        else:
>           raise ValueError("Pytest terminal summary report not found")
E           ValueError: Pytest terminal summary report not found

/usr/lib/python3.10/site-packages/_pytest/pytester.py:479: ValueError
----------------------------- Captured stdout call -----------------------------
running: mpirun -n 2 /usr/bin/python3 -mpytest --basetemp=/tmp/pytest-of-mockbuild/pytest-1/test_mpi_file_name0/runpytest-0 --with-mpi
     in: /tmp/pytest-of-mockbuild/pytest-1/test_mpi_file_name0
----------------------------- Captured stderr call -----------------------------
--------------------------------------------------------------------------
There are not enough slots available in the system to satisfy the 2
slots that were requested by the application:

  /usr/bin/python3

Either request fewer slots for your application, or make more slots
available for use.

A "slot" is the Open MPI term for an allocatable unit where we can
launch a process.  The number of slots available are defined by the
environment in which Open MPI processes are run:

  1. Hostfile, via "slots=N" clauses (N defaults to number of
     processor cores if not provided)
  2. The --host command line parameter, via a ":N" suffix on the
     hostname (N defaults to 1 if not provided)
  3. Resource manager (e.g., SLURM, PBS/Torque, LSF, etc.)
  4. If none of a hostfile, the --host command line parameter, or an
     RM is present, Open MPI defaults to the number of processor cores

In all the above cases, if you want Open MPI to default to the number
of hardware threads instead of the number of processor cores, use the
--use-hwthread-cpus option.

Alternatively, you can use the --oversubscribe option to ignore the
number of available slots when deciding the number of processes to
launch.
--------------------------------------------------------------------------
_______________________________ test_mpi_tmpdir ________________________________

mpi_testdir = <Testdir local('/tmp/pytest-of-mockbuild/pytest-1/test_mpi_tmpdir0')>
has_mpi4py = True

    def test_mpi_tmpdir(mpi_testdir, has_mpi4py):
        mpi_testdir.makepyfile(MPI_TMPDIR_TEST_CODE)
    
        result = mpi_testdir.runpytest("--with-mpi", timeout=5)
    
        if has_mpi4py:
>           result.assert_outcomes(passed=1)

/builddir/build/BUILD/pytest-mpi-0.4/tests/test_fixtures.py:68: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
/usr/lib/python3.10/site-packages/_pytest/pytester.py:461: in parseoutcomes
    return self.parse_summary_nouns(self.outlines)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

cls = <class '_pytest.pytester.RunResult'>, lines = []

    @classmethod
    def parse_summary_nouns(cls, lines) -> Dict[str, int]:
        """Extracts the nouns from a pytest terminal summary line.
    
        It always returns the plural noun for consistency::
    
            ======= 1 failed, 1 passed, 1 warning, 1 error in 0.13s ====
    
        Will return ``{"failed": 1, "passed": 1, "warnings": 1, "errors": 1}``
        """
        for line in reversed(lines):
            if rex_session_duration.search(line):
                outcomes = rex_outcome.findall(line)
                ret = {noun: int(count) for (count, noun) in outcomes}
                break
        else:
>           raise ValueError("Pytest terminal summary report not found")
E           ValueError: Pytest terminal summary report not found

/usr/lib/python3.10/site-packages/_pytest/pytester.py:479: ValueError
----------------------------- Captured stdout call -----------------------------
running: mpirun -n 2 /usr/bin/python3 -mpytest --basetemp=/tmp/pytest-of-mockbuild/pytest-1/test_mpi_tmpdir0/runpytest-0 --with-mpi
     in: /tmp/pytest-of-mockbuild/pytest-1/test_mpi_tmpdir0
----------------------------- Captured stderr call -----------------------------
--------------------------------------------------------------------------
There are not enough slots available in the system to satisfy the 2
slots that were requested by the application:

  /usr/bin/python3

Either request fewer slots for your application, or make more slots
available for use.

A "slot" is the Open MPI term for an allocatable unit where we can
launch a process.  The number of slots available are defined by the
environment in which Open MPI processes are run:

  1. Hostfile, via "slots=N" clauses (N defaults to number of
     processor cores if not provided)
  2. The --host command line parameter, via a ":N" suffix on the
     hostname (N defaults to 1 if not provided)
  3. Resource manager (e.g., SLURM, PBS/Torque, LSF, etc.)
  4. If none of a hostfile, the --host command line parameter, or an
     RM is present, Open MPI defaults to the number of processor cores

In all the above cases, if you want Open MPI to default to the number
of hardware threads instead of the number of processor cores, use the
--use-hwthread-cpus option.

Alternatively, you can use the --oversubscribe option to ignore the
number of available slots when deciding the number of processes to
launch.
--------------------------------------------------------------------------
______________________________ test_mpi_tmp_path _______________________________

mpi_testdir = <Testdir local('/tmp/pytest-of-mockbuild/pytest-1/test_mpi_tmp_path0')>
has_mpi4py = True

    def test_mpi_tmp_path(mpi_testdir, has_mpi4py):
        mpi_testdir.makepyfile(MPI_TMP_PATH_TEST_CODE)
    
        result = mpi_testdir.runpytest("--with-mpi", timeout=5)
    
        if has_mpi4py:
>           result.assert_outcomes(passed=1)

/builddir/build/BUILD/pytest-mpi-0.4/tests/test_fixtures.py:79: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
/usr/lib/python3.10/site-packages/_pytest/pytester.py:461: in parseoutcomes
    return self.parse_summary_nouns(self.outlines)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

cls = <class '_pytest.pytester.RunResult'>, lines = []

    @classmethod
    def parse_summary_nouns(cls, lines) -> Dict[str, int]:
        """Extracts the nouns from a pytest terminal summary line.
    
        It always returns the plural noun for consistency::
    
            ======= 1 failed, 1 passed, 1 warning, 1 error in 0.13s ====
    
        Will return ``{"failed": 1, "passed": 1, "warnings": 1, "errors": 1}``
        """
        for line in reversed(lines):
            if rex_session_duration.search(line):
                outcomes = rex_outcome.findall(line)
                ret = {noun: int(count) for (count, noun) in outcomes}
                break
        else:
>           raise ValueError("Pytest terminal summary report not found")
E           ValueError: Pytest terminal summary report not found

/usr/lib/python3.10/site-packages/_pytest/pytester.py:479: ValueError
----------------------------- Captured stdout call -----------------------------
running: mpirun -n 2 /usr/bin/python3 -mpytest --basetemp=/tmp/pytest-of-mockbuild/pytest-1/test_mpi_tmp_path0/runpytest-0 --with-mpi
     in: /tmp/pytest-of-mockbuild/pytest-1/test_mpi_tmp_path0
----------------------------- Captured stderr call -----------------------------
--------------------------------------------------------------------------
There are not enough slots available in the system to satisfy the 2
slots that were requested by the application:

  /usr/bin/python3

Either request fewer slots for your application, or make more slots
available for use.

A "slot" is the Open MPI term for an allocatable unit where we can
launch a process.  The number of slots available are defined by the
environment in which Open MPI processes are run:

  1. Hostfile, via "slots=N" clauses (N defaults to number of
     processor cores if not provided)
  2. The --host command line parameter, via a ":N" suffix on the
     hostname (N defaults to 1 if not provided)
  3. Resource manager (e.g., SLURM, PBS/Torque, LSF, etc.)
  4. If none of a hostfile, the --host command line parameter, or an
     RM is present, Open MPI defaults to the number of processor cores

In all the above cases, if you want Open MPI to default to the number
of hardware threads instead of the number of processor cores, use the
--use-hwthread-cpus option.

Alternatively, you can use the --oversubscribe option to ignore the
number of available slots when deciding the number of processes to
launch.
--------------------------------------------------------------------------
______________________________ test_mpi_with_mpi _______________________________

mpi_testdir = <Testdir local('/tmp/pytest-of-mockbuild/pytest-1/test_mpi_with_mpi0')>
has_mpi4py = True

    def test_mpi_with_mpi(mpi_testdir, has_mpi4py):
        mpi_testdir.makepyfile(MPI_TEST_CODE)
    
        result = mpi_testdir.runpytest("--with-mpi")
    
        if has_mpi4py:
>           result.assert_outcomes(passed=3, errors=1, skipped=1)

/builddir/build/BUILD/pytest-mpi-0.4/tests/test_markers.py:70: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
/usr/lib/python3.10/site-packages/_pytest/pytester.py:461: in parseoutcomes
    return self.parse_summary_nouns(self.outlines)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

cls = <class '_pytest.pytester.RunResult'>, lines = []

    @classmethod
    def parse_summary_nouns(cls, lines) -> Dict[str, int]:
        """Extracts the nouns from a pytest terminal summary line.
    
        It always returns the plural noun for consistency::
    
            ======= 1 failed, 1 passed, 1 warning, 1 error in 0.13s ====
    
        Will return ``{"failed": 1, "passed": 1, "warnings": 1, "errors": 1}``
        """
        for line in reversed(lines):
            if rex_session_duration.search(line):
                outcomes = rex_outcome.findall(line)
                ret = {noun: int(count) for (count, noun) in outcomes}
                break
        else:
>           raise ValueError("Pytest terminal summary report not found")
E           ValueError: Pytest terminal summary report not found

/usr/lib/python3.10/site-packages/_pytest/pytester.py:479: ValueError
----------------------------- Captured stdout call -----------------------------
running: mpirun -n 2 /usr/bin/python3 -mpytest --basetemp=/tmp/pytest-of-mockbuild/pytest-1/test_mpi_with_mpi0/runpytest-0 --with-mpi
     in: /tmp/pytest-of-mockbuild/pytest-1/test_mpi_with_mpi0
----------------------------- Captured stderr call -----------------------------
--------------------------------------------------------------------------
There are not enough slots available in the system to satisfy the 2
slots that were requested by the application:

  /usr/bin/python3

Either request fewer slots for your application, or make more slots
available for use.

A "slot" is the Open MPI term for an allocatable unit where we can
launch a process.  The number of slots available are defined by the
environment in which Open MPI processes are run:

  1. Hostfile, via "slots=N" clauses (N defaults to number of
     processor cores if not provided)
  2. The --host command line parameter, via a ":N" suffix on the
     hostname (N defaults to 1 if not provided)
  3. Resource manager (e.g., SLURM, PBS/Torque, LSF, etc.)
  4. If none of a hostfile, the --host command line parameter, or an
     RM is present, Open MPI defaults to the number of processor cores

In all the above cases, if you want Open MPI to default to the number
of hardware threads instead of the number of processor cores, use the
--use-hwthread-cpus option.

Alternatively, you can use the --oversubscribe option to ignore the
number of available slots when deciding the number of processes to
launch.
--------------------------------------------------------------------------
______________________________ test_mpi_only_mpi _______________________________

mpi_testdir = <Testdir local('/tmp/pytest-of-mockbuild/pytest-1/test_mpi_only_mpi0')>
has_mpi4py = True

    def test_mpi_only_mpi(mpi_testdir, has_mpi4py):
        mpi_testdir.makepyfile(MPI_TEST_CODE)
    
        result = mpi_testdir.runpytest("--only-mpi")
    
        if has_mpi4py:
>           result.assert_outcomes(passed=2, errors=1, skipped=2)

/builddir/build/BUILD/pytest-mpi-0.4/tests/test_markers.py:81: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
/usr/lib/python3.10/site-packages/_pytest/pytester.py:461: in parseoutcomes
    return self.parse_summary_nouns(self.outlines)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

cls = <class '_pytest.pytester.RunResult'>, lines = []

    @classmethod
    def parse_summary_nouns(cls, lines) -> Dict[str, int]:
        """Extracts the nouns from a pytest terminal summary line.
    
        It always returns the plural noun for consistency::
    
            ======= 1 failed, 1 passed, 1 warning, 1 error in 0.13s ====
    
        Will return ``{"failed": 1, "passed": 1, "warnings": 1, "errors": 1}``
        """
        for line in reversed(lines):
            if rex_session_duration.search(line):
                outcomes = rex_outcome.findall(line)
                ret = {noun: int(count) for (count, noun) in outcomes}
                break
        else:
>           raise ValueError("Pytest terminal summary report not found")
E           ValueError: Pytest terminal summary report not found

/usr/lib/python3.10/site-packages/_pytest/pytester.py:479: ValueError
----------------------------- Captured stdout call -----------------------------
running: mpirun -n 2 /usr/bin/python3 -mpytest --basetemp=/tmp/pytest-of-mockbuild/pytest-1/test_mpi_only_mpi0/runpytest-0 --only-mpi
     in: /tmp/pytest-of-mockbuild/pytest-1/test_mpi_only_mpi0
----------------------------- Captured stderr call -----------------------------
--------------------------------------------------------------------------
There are not enough slots available in the system to satisfy the 2
slots that were requested by the application:

  /usr/bin/python3

Either request fewer slots for your application, or make more slots
available for use.

A "slot" is the Open MPI term for an allocatable unit where we can
launch a process.  The number of slots available are defined by the
environment in which Open MPI processes are run:

  1. Hostfile, via "slots=N" clauses (N defaults to number of
     processor cores if not provided)
  2. The --host command line parameter, via a ":N" suffix on the
     hostname (N defaults to 1 if not provided)
  3. Resource manager (e.g., SLURM, PBS/Torque, LSF, etc.)
  4. If none of a hostfile, the --host command line parameter, or an
     RM is present, Open MPI defaults to the number of processor cores

In all the above cases, if you want Open MPI to default to the number
of hardware threads instead of the number of processor cores, use the
--use-hwthread-cpus option.

Alternatively, you can use the --oversubscribe option to ignore the
number of available slots when deciding the number of processes to
launch.
--------------------------------------------------------------------------
___________________________ test_mpi_skip_under_mpi ____________________________

mpi_testdir = <Testdir local('/tmp/pytest-of-mockbuild/pytest-1/test_mpi_skip_under_mpi0')>

    def test_mpi_skip_under_mpi(mpi_testdir):
        mpi_testdir.makepyfile(MPI_SKIP_TEST_CODE)
    
        result = mpi_testdir.runpytest("--with-mpi")
    
>       result.assert_outcomes(skipped=1)

/builddir/build/BUILD/pytest-mpi-0.4/tests/test_markers.py:99: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
/usr/lib/python3.10/site-packages/_pytest/pytester.py:461: in parseoutcomes
    return self.parse_summary_nouns(self.outlines)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

cls = <class '_pytest.pytester.RunResult'>, lines = []

    @classmethod
    def parse_summary_nouns(cls, lines) -> Dict[str, int]:
        """Extracts the nouns from a pytest terminal summary line.
    
        It always returns the plural noun for consistency::
    
            ======= 1 failed, 1 passed, 1 warning, 1 error in 0.13s ====
    
        Will return ``{"failed": 1, "passed": 1, "warnings": 1, "errors": 1}``
        """
        for line in reversed(lines):
            if rex_session_duration.search(line):
                outcomes = rex_outcome.findall(line)
                ret = {noun: int(count) for (count, noun) in outcomes}
                break
        else:
>           raise ValueError("Pytest terminal summary report not found")
E           ValueError: Pytest terminal summary report not found

/usr/lib/python3.10/site-packages/_pytest/pytester.py:479: ValueError
----------------------------- Captured stdout call -----------------------------
running: mpirun -n 2 /usr/bin/python3 -mpytest --basetemp=/tmp/pytest-of-mockbuild/pytest-1/test_mpi_skip_under_mpi0/runpytest-0 --with-mpi
     in: /tmp/pytest-of-mockbuild/pytest-1/test_mpi_skip_under_mpi0
----------------------------- Captured stderr call -----------------------------
--------------------------------------------------------------------------
There are not enough slots available in the system to satisfy the 2
slots that were requested by the application:

  /usr/bin/python3

Either request fewer slots for your application, or make more slots
available for use.

A "slot" is the Open MPI term for an allocatable unit where we can
launch a process.  The number of slots available are defined by the
environment in which Open MPI processes are run:

  1. Hostfile, via "slots=N" clauses (N defaults to number of
     processor cores if not provided)
  2. The --host command line parameter, via a ":N" suffix on the
     hostname (N defaults to 1 if not provided)
  3. Resource manager (e.g., SLURM, PBS/Torque, LSF, etc.)
  4. If none of a hostfile, the --host command line parameter, or an
     RM is present, Open MPI defaults to the number of processor cores

In all the above cases, if you want Open MPI to default to the number
of hardware threads instead of the number of processor cores, use the
--use-hwthread-cpus option.

Alternatively, you can use the --oversubscribe option to ignore the
number of available slots when deciding the number of processes to
launch.
--------------------------------------------------------------------------
___________________________ test_mpi_xfail_under_mpi ___________________________

mpi_testdir = <Testdir local('/tmp/pytest-of-mockbuild/pytest-1/test_mpi_xfail_under_mpi0')>
has_mpi4py = True

    def test_mpi_xfail_under_mpi(mpi_testdir, has_mpi4py):
        mpi_testdir.makepyfile(MPI_XFAIL_TEST_CODE)
    
        result = mpi_testdir.runpytest("--with-mpi")
    
        if has_mpi4py:
>           result.assert_outcomes(xfailed=1)

/builddir/build/BUILD/pytest-mpi-0.4/tests/test_markers.py:116: 
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 
/usr/lib/python3.10/site-packages/_pytest/pytester.py:461: in parseoutcomes
    return self.parse_summary_nouns(self.outlines)
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ 

cls = <class '_pytest.pytester.RunResult'>, lines = []

    @classmethod
    def parse_summary_nouns(cls, lines) -> Dict[str, int]:
        """Extracts the nouns from a pytest terminal summary line.
    
        It always returns the plural noun for consistency::
    
            ======= 1 failed, 1 passed, 1 warning, 1 error in 0.13s ====
    
        Will return ``{"failed": 1, "passed": 1, "warnings": 1, "errors": 1}``
        """
        for line in reversed(lines):
            if rex_session_duration.search(line):
                outcomes = rex_outcome.findall(line)
                ret = {noun: int(count) for (count, noun) in outcomes}
                break
        else:
>           raise ValueError("Pytest terminal summary report not found")
E           ValueError: Pytest terminal summary report not found

/usr/lib/python3.10/site-packages/_pytest/pytester.py:479: ValueError
----------------------------- Captured stdout call -----------------------------
running: mpirun -n 2 /usr/bin/python3 -mpytest --basetemp=/tmp/pytest-of-mockbuild/pytest-1/test_mpi_xfail_under_mpi0/runpytest-0 --with-mpi
     in: /tmp/pytest-of-mockbuild/pytest-1/test_mpi_xfail_under_mpi0
----------------------------- Captured stderr call -----------------------------
--------------------------------------------------------------------------
There are not enough slots available in the system to satisfy the 2
slots that were requested by the application:

  /usr/bin/python3

Either request fewer slots for your application, or make more slots
available for use.

A "slot" is the Open MPI term for an allocatable unit where we can
launch a process.  The number of slots available are defined by the
environment in which Open MPI processes are run:

  1. Hostfile, via "slots=N" clauses (N defaults to number of
     processor cores if not provided)
  2. The --host command line parameter, via a ":N" suffix on the
     hostname (N defaults to 1 if not provided)
  3. Resource manager (e.g., SLURM, PBS/Torque, LSF, etc.)
  4. If none of a hostfile, the --host command line parameter, or an
     RM is present, Open MPI defaults to the number of processor cores

In all the above cases, if you want Open MPI to default to the number
of hardware threads instead of the number of processor cores, use the
--use-hwthread-cpus option.

Alternatively, you can use the --oversubscribe option to ignore the
number of available slots when deciding the number of processes to
launch.
--------------------------------------------------------------------------
=========================== short test summary info ============================
FAILED tests/test_fixtures.py::test_mpi_file_name - ValueError: Pytest termin...
FAILED tests/test_fixtures.py::test_mpi_tmpdir - ValueError: Pytest terminal ...
FAILED tests/test_fixtures.py::test_mpi_tmp_path - ValueError: Pytest termina...
FAILED tests/test_markers.py::test_mpi_with_mpi - ValueError: Pytest terminal...
FAILED tests/test_markers.py::test_mpi_only_mpi - ValueError: Pytest terminal...
FAILED tests/test_markers.py::test_mpi_skip_under_mpi - ValueError: Pytest te...
FAILED tests/test_markers.py::test_mpi_xfail_under_mpi - ValueError: Pytest t...
========================= 7 failed, 6 passed in 4.78s ==========================

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01773365-python-pytest-mpi/

For all our attempts to build python-pytest-mpi with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/python-pytest-mpi/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Orion Poplawski 2021-01-30 03:51:49 UTC
Should be fixed with python-pytest-mpi-0.4-4

Comment 2 Tomáš Hrnčiar 2021-02-01 07:02:48 UTC
Thank you!


Note You need to log in before you can comment on or make changes to this bug.